Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5118)
@@ -931,157 +679,406 @@
     include "comgeom2.h"
 
-! input arguments :
+    REAL, DIMENSION (iip1, jjp1), INTENT(IN) :: psi ! Psol gcm
+    REAL, DIMENSION (iip1, jjp1, llm), INTENT(IN) :: teta ! Temp. Pot. gcm
+
+    LOGICAL, SAVE :: first = .TRUE.
+    ! Variables pour niveaux pression:
+    REAL, DIMENSION (iip1, jjp1, nlevnc) :: plnc1, plnc2 !niveaux pression guidage
+    REAL, DIMENSION (iip1, jjp1, llm) :: plunc, plsnc !niveaux pression modele
+    REAL, DIMENSION (iip1, jjm, llm) :: plvnc       !niveaux pression modele
+    REAL, DIMENSION (iip1, jjp1, llmp1) :: p           ! pression intercouches
+    REAL, DIMENSION (iip1, jjp1, llm) :: pls, pext   ! var intermediaire
+    REAL, DIMENSION (iip1, jjp1, llm) :: pbarx
+    REAL, DIMENSION (iip1, jjm, llm) :: pbary
+    ! Variables pour fonction Exner (P milieu couche)
+    REAL, DIMENSION (iip1, jjp1, llm) :: pk
+    REAL, DIMENSION (iip1, jjp1) :: pks
+    REAL :: prefkap, unskap
+    ! Pression de vapeur saturante
+    REAL, DIMENSION (ip1jmp1, llm) :: qsat
+    !Variables intermediaires interpolation
+    REAL, DIMENSION (iip1, jjp1, llm) :: zu1, zu2
+    REAL, DIMENSION (iip1, jjm, llm) :: zv1, zv2
+
+    INTEGER :: i, j, l, ij
+    CHARACTER(LEN = 20), PARAMETER :: modname = "guide_interp"
+
+    WRITE(*, *)trim(modname) // ': interpolate nudging variables'
+    ! -----------------------------------------------------------------
+    ! Calcul des niveaux de pression champs guidage
+    ! -----------------------------------------------------------------
+    IF (guide_modele) THEN
+      do i = 1, iip1
+        do j = 1, jjp1
+          do l = 1, nlevnc
+            plnc2(i, j, l) = apnc(l) + bpnc(l) * psnat2(i, j)
+            plnc1(i, j, l) = apnc(l) + bpnc(l) * psnat1(i, j)
+          enddo
+        enddo
+      enddo
+    else
+      do i = 1, iip1
+        do j = 1, jjp1
+          do l = 1, nlevnc
+            plnc2(i, j, l) = apnc(l)
+            plnc1(i, j, l) = apnc(l)
+          enddo
+        enddo
+      enddo
+
+    END IF
+    IF (first) THEN
+      first = .FALSE.
+      WRITE(*, *)trim(modname) // ' : check vertical level order'
+      WRITE(*, *)trim(modname) // ' LMDZ :'
+      do l = 1, llm
+        WRITE(*, *)trim(modname) // ' PL(', l, ')=', (ap(l) + ap(l + 1)) / 2. &
+                + psi(1, jjp1) * (bp(l) + bp(l + 1)) / 2.
+      enddo
+      WRITE(*, *)trim(modname) // ' nudging file :'
+      do l = 1, nlevnc
+        WRITE(*, *)trim(modname) // ' PL(', l, ')=', plnc2(1, 1, l)
+      enddo
+      WRITE(*, *)trim(modname) // ' invert ordering: invert_p=', invert_p
+      IF (guide_u) THEN
+        do l = 1, nlevnc
+          WRITE(*, *)trim(modname) // ' U(', l, ')=', unat2(1, 1, l)
+        enddo
+      endif
+      IF (guide_T) THEN
+        do l = 1, nlevnc
+          WRITE(*, *)trim(modname) // ' T(', l, ')=', tnat2(1, 1, l)
+        enddo
+      endif
+    endif
+
+    ! -----------------------------------------------------------------
+    ! Calcul niveaux pression modele
+    ! -----------------------------------------------------------------
+    CALL pression(ip1jmp1, ap, bp, psi, p)
+    IF (pressure_exner) THEN
+      CALL exner_hyb(ip1jmp1, psi, p, pks, pk)
+    else
+      CALL exner_milieu(ip1jmp1, psi, p, pks, pk)
+    endif
+    !    ....  Calcul de pls , pression au milieu des couches ,en Pascals
+    unskap = 1. / kappa
+    prefkap = preff  ** kappa
+    DO l = 1, llm
+      DO j = 1, jjp1
+        DO i = 1, iip1
+          pls(i, j, l) = preff * (pk(i, j, l) / cpp) ** unskap
+        ENDDO
+      ENDDO
+    ENDDO
+
+    !   calcul des pressions pour les grilles u et v
+    do l = 1, llm
+      do j = 1, jjp1
+        do i = 1, iip1
+          pext(i, j, l) = pls(i, j, l) * aire(i, j)
+        enddo
+      enddo
+    enddo
+    CALL massbar(pext, pbarx, pbary)
+    do l = 1, llm
+      do j = 1, jjp1
+        do i = 1, iip1
+          plunc(i, j, l) = pbarx(i, j, l) / aireu(i, j)
+          plsnc(i, j, l) = pls(i, j, l)
+        enddo
+      enddo
+    enddo
+    do l = 1, llm
+      do j = 1, jjm
+        do i = 1, iip1
+          plvnc(i, j, l) = pbary(i, j, l) / airev(i, j)
+        enddo
+      enddo
+    enddo
+
+    ! -----------------------------------------------------------------
+    ! Interpolation champs guidage sur niveaux modele (+inversion N/S)
+    ! Conversion en variables gcm (ucov, vcov...)
+    ! -----------------------------------------------------------------
+    IF (guide_P) THEN
+      do j = 1, jjp1
+        do i = 1, iim
+          ij = (j - 1) * iip1 + i
+          psgui1(ij) = psnat1(i, j)
+          psgui2(ij) = psnat2(i, j)
+        enddo
+        psgui1(iip1 * j) = psnat1(1, j)
+        psgui2(iip1 * j) = psnat2(1, j)
+      enddo
+    endif
+
+    IF (guide_u) THEN
+      CALL pres2lev(unat1, zu1, nlevnc, llm, plnc1, plunc, iip1, jjp1, invert_p)
+      CALL pres2lev(unat2, zu2, nlevnc, llm, plnc2, plunc, iip1, jjp1, invert_p)
+      do l = 1, llm
+        do j = 1, jjp1
+          do i = 1, iim
+            ij = (j - 1) * iip1 + i
+            ugui1(ij, l) = zu1(i, j, l) * cu(i, j)
+            ugui2(ij, l) = zu2(i, j, l) * cu(i, j)
+          enddo
+          ugui1(j * iip1, l) = ugui1((j - 1) * iip1 + 1, l)
+          ugui2(j * iip1, l) = ugui2((j - 1) * iip1 + 1, l)
+        enddo
+        do i = 1, iip1
+          ugui1(i, l) = 0.
+          ugui1(ip1jm + i, l) = 0.
+          ugui2(i, l) = 0.
+          ugui2(ip1jm + i, l) = 0.
+        enddo
+      enddo
+    ENDIF
+
+    IF (guide_T) THEN
+      CALL pres2lev(tnat1, zu1, nlevnc, llm, plnc1, plsnc, iip1, jjp1, invert_p)
+      CALL pres2lev(tnat2, zu2, nlevnc, llm, plnc2, plsnc, iip1, jjp1, invert_p)
+      do l = 1, llm
+        do j = 1, jjp1
+          IF (guide_teta) THEN
+            do i = 1, iim
+              ij = (j - 1) * iip1 + i
+              tgui1(ij, l) = zu1(i, j, l)
+              tgui2(ij, l) = zu2(i, j, l)
+            enddo
+          ELSE
+            do i = 1, iim
+              ij = (j - 1) * iip1 + i
+              tgui1(ij, l) = zu1(i, j, l) * cpp / pk(i, j, l)
+              tgui2(ij, l) = zu2(i, j, l) * cpp / pk(i, j, l)
+            enddo
+          ENDIF
+          tgui1(j * iip1, l) = tgui1((j - 1) * iip1 + 1, l)
+          tgui2(j * iip1, l) = tgui2((j - 1) * iip1 + 1, l)
+        enddo
+        do i = 1, iip1
+          tgui1(i, l) = tgui1(1, l)
+          tgui1(ip1jm + i, l) = tgui1(ip1jm + 1, l)
+          tgui2(i, l) = tgui2(1, l)
+          tgui2(ip1jm + i, l) = tgui2(ip1jm + 1, l)
+        enddo
+      enddo
+    ENDIF
+
+    IF (guide_v) THEN
+
+      CALL pres2lev(vnat1, zv1, nlevnc, llm, plnc1(:, :jjm, :), plvnc, iip1, jjm, invert_p)
+      CALL pres2lev(vnat2, zv2, nlevnc, llm, plnc2(:, :jjm, :), plvnc, iip1, jjm, invert_p)
+
+      do l = 1, llm
+        do j = 1, jjm
+          do i = 1, iim
+            ij = (j - 1) * iip1 + i
+            vgui1(ij, l) = zv1(i, j, l) * cv(i, j)
+            vgui2(ij, l) = zv2(i, j, l) * cv(i, j)
+          enddo
+          vgui1(j * iip1, l) = vgui1((j - 1) * iip1 + 1, l)
+          vgui2(j * iip1, l) = vgui2((j - 1) * iip1 + 1, l)
+        enddo
+      enddo
+    ENDIF
+
+    IF (guide_Q) THEN
+      ! On suppose qu'on a la bonne variable dans le fichier de guidage:
+      ! Hum.Rel si guide_hr, Hum.Spec. sinon.
+      CALL pres2lev(qnat1, zu1, nlevnc, llm, plnc1, plsnc, iip1, jjp1, invert_p)
+      CALL pres2lev(qnat2, zu2, nlevnc, llm, plnc2, plsnc, iip1, jjp1, invert_p)
+      do l = 1, llm
+        do j = 1, jjp1
+          do i = 1, iim
+            ij = (j - 1) * iip1 + i
+            qgui1(ij, l) = zu1(i, j, l)
+            qgui2(ij, l) = zu2(i, j, l)
+          enddo
+          qgui1(j * iip1, l) = qgui1((j - 1) * iip1 + 1, l)
+          qgui2(j * iip1, l) = qgui2((j - 1) * iip1 + 1, l)
+        enddo
+        do i = 1, iip1
+          qgui1(i, l) = qgui1(1, l)
+          qgui1(ip1jm + i, l) = qgui1(ip1jm + 1, l)
+          qgui2(i, l) = qgui2(1, l)
+          qgui2(ip1jm + i, l) = qgui2(ip1jm + 1, l)
+        enddo
+      enddo
+      IF (guide_hr) THEN
+        CALL q_sat(iip1 * jjp1 * llm, teta * pk / cpp, plsnc, qsat)
+        qgui1 = qgui1 * qsat * 0.01 !hum. rel. en %
+        qgui2 = qgui2 * qsat * 0.01
+      ENDIF
+    ENDIF
+
+  END SUBROUTINE guide_interp
+
+  !=======================================================================
+  SUBROUTINE tau2alpha(typ, pim, pjm, factt, taumin, taumax, alpha)
+
+    ! Calcul des constantes de rappel alpha (=1/tau)
+
+    USE comconst_mod, ONLY: pi
+    USE serre_mod, ONLY: clon, clat, grossismx, grossismy
+
+    IMPLICIT NONE
+
+    include "dimensions.h"
+    include "paramet.h"
+    include "comgeom2.h"
+
+    ! input arguments :
     INTEGER, INTENT(IN) :: typ    ! u(2),v(3), ou scalaire(1)
-    INTEGER, INTENT(IN) :: pim,pjm ! dimensions en lat, lon
-    REAL, INTENT(IN)    :: factt   ! pas de temps en fraction de jour
-    REAL, INTENT(IN)    :: taumin,taumax
-! output arguments:
-    REAL, DIMENSION(pim,pjm), INTENT(OUT) :: alpha 
-  
-!  local variables:
-    LOGICAL, SAVE               :: first=.TRUE.
-    REAL, SAVE                  :: gamma,dxdy_min,dxdy_max
-    REAL, DIMENSION (iip1,jjp1) :: zdx,zdy
-    REAL, DIMENSION (iip1,jjp1) :: dxdys,dxdyu
-    REAL, DIMENSION (iip1,jjm)  :: dxdyv
+    INTEGER, INTENT(IN) :: pim, pjm ! dimensions en lat, lon
+    REAL, INTENT(IN) :: factt   ! pas de temps en fraction de jour
+    REAL, INTENT(IN) :: taumin, taumax
+    ! output arguments:
+    REAL, DIMENSION(pim, pjm), INTENT(OUT) :: alpha
+
+    !  local variables:
+    LOGICAL, SAVE :: first = .TRUE.
+    REAL, SAVE :: gamma, dxdy_min, dxdy_max
+    REAL, DIMENSION (iip1, jjp1) :: zdx, zdy
+    REAL, DIMENSION (iip1, jjp1) :: dxdys, dxdyu
+    REAL, DIMENSION (iip1, jjm) :: dxdyv
     REAL dxdy_
-    REAL zlat,zlon
-    REAL alphamin,alphamax,xi
-    INTEGER i,j,ilon,ilat
-    CHARACTER(LEN=20),parameter :: modname="tau2alpha"
-    CHARACTER (len = 80)   :: abort_message
-
-
-    alphamin=factt/taumax
-    alphamax=factt/taumin
+    REAL zlat, zlon
+    REAL alphamin, alphamax, xi
+    INTEGER i, j, ilon, ilat
+    CHARACTER(LEN = 20), parameter :: modname = "tau2alpha"
+    CHARACTER (len = 80) :: abort_message
+
+    alphamin = factt / taumax
+    alphamax = factt / taumin
     IF (guide_reg.OR.guide_add) THEN
-        alpha=alphamax
-!-----------------------------------------------------------------------
-! guide_reg: alpha=alpha_min dans region, 0. sinon.
-!-----------------------------------------------------------------------
-        IF (guide_reg) THEN
-            do j=1,pjm
-                do i=1,pim
-                    IF (typ==2) THEN
-                       zlat=rlatu(j)*180./pi
-                       zlon=rlonu(i)*180./pi
-                    elseif (typ==1) THEN
-                       zlat=rlatu(j)*180./pi
-                       zlon=rlonv(i)*180./pi
-                    elseif (typ==3) THEN
-                       zlat=rlatv(j)*180./pi
-                       zlon=rlonv(i)*180./pi
-                    endif
-                    alpha(i,j)=alphamax/16.* &
-                              (1.+tanh((zlat-lat_min_g)/tau_lat))* &
-                              (1.+tanh((lat_max_g-zlat)/tau_lat))* &
-                              (1.+tanh((zlon-lon_min_g)/tau_lon))* &
-                              (1.+tanh((lon_max_g-zlon)/tau_lon))
-                enddo
-            enddo
-        ENDIF
+      alpha = alphamax
+      !-----------------------------------------------------------------------
+      ! guide_reg: alpha=alpha_min dans region, 0. sinon.
+      !-----------------------------------------------------------------------
+      IF (guide_reg) THEN
+        do j = 1, pjm
+          do i = 1, pim
+            IF (typ==2) THEN
+              zlat = rlatu(j) * 180. / pi
+              zlon = rlonu(i) * 180. / pi
+            elseif (typ==1) THEN
+              zlat = rlatu(j) * 180. / pi
+              zlon = rlonv(i) * 180. / pi
+            elseif (typ==3) THEN
+              zlat = rlatv(j) * 180. / pi
+              zlon = rlonv(i) * 180. / pi
+            endif
+            alpha(i, j) = alphamax / 16. * &
+                    (1. + tanh((zlat - lat_min_g) / tau_lat)) * &
+                    (1. + tanh((lat_max_g - zlat) / tau_lat)) * &
+                    (1. + tanh((zlon - lon_min_g) / tau_lon)) * &
+                    (1. + tanh((lon_max_g - zlon) / tau_lon))
+          enddo
+        enddo
+      ENDIF
     ELSE
-!-----------------------------------------------------------------------
-! Sinon, alpha varie entre alpha_min et alpha_max suivant le zoom.
-!-----------------------------------------------------------------------
-!Calcul de l'aire des mailles
-        do j=2,jjm
-            do i=2,iip1
-               zdx(i,j)=0.5*(cu(i-1,j)+cu(i,j))/cos(rlatu(j))
-            enddo
-            zdx(1,j)=zdx(iip1,j)
-        enddo
-        do j=2,jjm
-            do i=1,iip1
-               zdy(i,j)=0.5*(cv(i,j-1)+cv(i,j))
-            enddo
-        enddo
-        do i=1,iip1
-            zdx(i,1)=zdx(i,2)
-            zdx(i,jjp1)=zdx(i,jjm)
-            zdy(i,1)=zdy(i,2)
-            zdy(i,jjp1)=zdy(i,jjm)
-        enddo
-        do j=1,jjp1
-            do i=1,iip1
-               dxdys(i,j)=sqrt(zdx(i,j)*zdx(i,j)+zdy(i,j)*zdy(i,j))
-            enddo
-        enddo
-        IF (typ==2) THEN
-            do j=1,jjp1
-                do i=1,iim
-                   dxdyu(i,j)=0.5*(dxdys(i,j)+dxdys(i+1,j))
-                enddo
-                dxdyu(iip1,j)=dxdyu(1,j)
-            enddo
-        ENDIF
-        IF (typ==3) THEN
-            do j=1,jjm
-                do i=1,iip1
-                   dxdyv(i,j)=0.5*(dxdys(i,j)+dxdys(i,j+1))
-                enddo
-            enddo
-        ENDIF
-! Premier appel: calcul des aires min et max et de gamma.
-        IF (first) THEN 
-            first=.FALSE.
-            ! coordonnees du centre du zoom
-            CALL coordij(clon,clat,ilon,ilat) 
-            ! aire de la maille au centre du zoom
-            dxdy_min=dxdys(ilon,ilat)
-            ! dxdy maximale de la maille
-            dxdy_max=0.
-            do j=1,jjp1
-                do i=1,iip1
-                     dxdy_max=max(dxdy_max,dxdys(i,j))
-                enddo
-            enddo
-            ! Calcul de gamma
-            IF (abs(grossismx-1.)<0.1.OR.abs(grossismy-1.)<0.1) THEN
-              WRITE(*,*)trim(modname)//' ATTENTION modele peu zoome'
-              WRITE(*,*)trim(modname)//' ATTENTION on prend une constante de guidage cste'
-              gamma=0.
+      !-----------------------------------------------------------------------
+      ! Sinon, alpha varie entre alpha_min et alpha_max suivant le zoom.
+      !-----------------------------------------------------------------------
+      !Calcul de l'aire des mailles
+      do j = 2, jjm
+        do i = 2, iip1
+          zdx(i, j) = 0.5 * (cu(i - 1, j) + cu(i, j)) / cos(rlatu(j))
+        enddo
+        zdx(1, j) = zdx(iip1, j)
+      enddo
+      do j = 2, jjm
+        do i = 1, iip1
+          zdy(i, j) = 0.5 * (cv(i, j - 1) + cv(i, j))
+        enddo
+      enddo
+      do i = 1, iip1
+        zdx(i, 1) = zdx(i, 2)
+        zdx(i, jjp1) = zdx(i, jjm)
+        zdy(i, 1) = zdy(i, 2)
+        zdy(i, jjp1) = zdy(i, jjm)
+      enddo
+      do j = 1, jjp1
+        do i = 1, iip1
+          dxdys(i, j) = sqrt(zdx(i, j) * zdx(i, j) + zdy(i, j) * zdy(i, j))
+        enddo
+      enddo
+      IF (typ==2) THEN
+        do j = 1, jjp1
+          do i = 1, iim
+            dxdyu(i, j) = 0.5 * (dxdys(i, j) + dxdys(i + 1, j))
+          enddo
+          dxdyu(iip1, j) = dxdyu(1, j)
+        enddo
+      ENDIF
+      IF (typ==3) THEN
+        do j = 1, jjm
+          do i = 1, iip1
+            dxdyv(i, j) = 0.5 * (dxdys(i, j) + dxdys(i, j + 1))
+          enddo
+        enddo
+      ENDIF
+      ! Premier appel: calcul des aires min et max et de gamma.
+      IF (first) THEN
+        first = .FALSE.
+        ! coordonnees du centre du zoom
+        CALL coordij(clon, clat, ilon, ilat)
+        ! aire de la maille au centre du zoom
+        dxdy_min = dxdys(ilon, ilat)
+        ! dxdy maximale de la maille
+        dxdy_max = 0.
+        do j = 1, jjp1
+          do i = 1, iip1
+            dxdy_max = max(dxdy_max, dxdys(i, j))
+          enddo
+        enddo
+        ! Calcul de gamma
+        IF (abs(grossismx - 1.)<0.1.OR.abs(grossismy - 1.)<0.1) THEN
+          WRITE(*, *)trim(modname) // ' ATTENTION modele peu zoome'
+          WRITE(*, *)trim(modname) // ' ATTENTION on prend une constante de guidage cste'
+          gamma = 0.
+        else
+          gamma = (dxdy_max - 2. * dxdy_min) / (dxdy_max - dxdy_min)
+          WRITE(*, *)trim(modname) // ' gamma=', gamma
+          IF (gamma<1.e-5) THEN
+            WRITE(*, *)trim(modname) // ' gamma =', gamma, '<1e-5'
+            abort_message = 'stopped'
+            CALL abort_gcm(modname, abort_message, 1)
+          endif
+          gamma = log(0.5) / log(gamma)
+          IF (gamma4) THEN
+            gamma = min(gamma, 4.)
+          endif
+          WRITE(*, *)trim(modname) // ' gamma=', gamma
+        endif
+      ENDIF !first
+
+      do j = 1, pjm
+        do i = 1, pim
+          IF (typ==1) THEN
+            dxdy_ = dxdys(i, j)
+            zlat = rlatu(j) * 180. / pi
+          elseif (typ==2) THEN
+            dxdy_ = dxdyu(i, j)
+            zlat = rlatu(j) * 180. / pi
+          elseif (typ==3) THEN
+            dxdy_ = dxdyv(i, j)
+            zlat = rlatv(j) * 180. / pi
+          endif
+          IF (abs(grossismx - 1.)<0.1.OR.abs(grossismy - 1.)<0.1) THEN
+            ! pour une grille reguliere, xi=xxx**0=1 -> alpha=alphamin
+            alpha(i, j) = alphamin
+          else
+            xi = ((dxdy_max - dxdy_) / (dxdy_max - dxdy_min))**gamma
+            xi = min(xi, 1.)
+            IF(lat_min_g<=zlat .AND. zlat<=lat_max_g) THEN
+              alpha(i, j) = xi * alphamin + (1. - xi) * alphamax
             else
-              gamma=(dxdy_max-2.*dxdy_min)/(dxdy_max-dxdy_min)
-              WRITE(*,*)trim(modname)//' gamma=',gamma
-              IF (gamma<1.e-5) THEN
-                WRITE(*,*)trim(modname)//' gamma =',gamma,'<1e-5'
-                abort_message='stopped'
-                CALL abort_gcm(modname,abort_message,1)
-              endif
-              gamma=log(0.5)/log(gamma)
-              IF (gamma4) THEN
-                gamma=min(gamma,4.)
-              endif
-              WRITE(*,*)trim(modname)//' gamma=',gamma
+              alpha(i, j) = 0.
             endif
-        ENDIF !first
-
-        do j=1,pjm
-            do i=1,pim
-                IF (typ==1) THEN
-                   dxdy_=dxdys(i,j)
-                   zlat=rlatu(j)*180./pi
-                elseif (typ==2) THEN
-                   dxdy_=dxdyu(i,j)
-                   zlat=rlatu(j)*180./pi
-                elseif (typ==3) THEN
-                   dxdy_=dxdyv(i,j)
-                   zlat=rlatv(j)*180./pi
-                endif
-                IF (abs(grossismx-1.)<0.1.OR.abs(grossismy-1.)<0.1) THEN
-                ! pour une grille reguliere, xi=xxx**0=1 -> alpha=alphamin
-                    alpha(i,j)=alphamin
-                else
-                    xi=((dxdy_max-dxdy_)/(dxdy_max-dxdy_min))**gamma
-                    xi=min(xi,1.)
-                    IF(lat_min_g<=zlat .AND. zlat<=lat_max_g) THEN
-                        alpha(i,j)=xi*alphamin+(1.-xi)*alphamax
-                    else
-                        alpha(i,j)=0.
-                    endif
-                endif
-            enddo
-        enddo
+          endif
+        enddo
+      enddo
     ENDIF ! guide_reg
 
@@ -1090,5 +1087,5 @@
   END SUBROUTINE tau2alpha
 
-!=======================================================================
+  !=======================================================================
   SUBROUTINE guide_read(timestep)
     IMPLICIT NONE
